import http from '../http';

//根据协同ID获取物料视图
export async function getListByTeamId(params) {
    let result = {};
    await http.post('/api/View/GetListByTeamId', params).then((data) => {
        result = data.Data;
    });
    return result;
}

//保存视图编辑的内容
export async function updateBatchById(params) {
    let result = {};
    await http.post('/api/View/UpdateBatchById', params).then((data) => {
        result = data;
    });
    return result;
}

//保存视图编辑的内容
export async function updateBatchById2(params) {
    let result = {};
    await http.post('/api/View/UpdateBatchById2', params).then((data) => {
        result = data;
    });
    return result;
}
//获取物理视图
export async function GetMaterialInfoListByTeamId(params) {
    let result = {};
    await http.post('/api/View/GetMaterialInfoListByTeamId', params).then((data) => {
        result = data;
    });
    return result;
} 